Skip to main content
GET
/
v1
/
nomenclature
/
movements
/
{id}
Get movement by ID
curl --request GET \
  --url https://api.nomi.tools/v1/nomenclature/movements/{id} \
  --header 'Accept: <accept>' \
  --header 'Authorization: Basic <encoded-value>'
{
  "movement": {
    "date": "2023-12-25",
    "type": "buy",
    "legalEntityId": "<string>",
    "currencyId": "<string>",
    "parts": [
      {
        "nomenclatureId": "<string>",
        "quantity": 123,
        "unitPrice": 123,
        "id": "<string>",
        "externalId": "<string>",
        "vatPercent": 123,
        "vatAmount": 123
      }
    ],
    "id": "<string>",
    "externalId": "<string>",
    "counterpartyId": "<string>",
    "projectId": "<string>",
    "notes": "<string>",
    "tags": [
      {
        "id": "<string>",
        "name": "<string>"
      }
    ],
    "fileId": "<string>",
    "file2Id": "<string>",
    "file3Id": "<string>"
  },
  "defaultCurrency": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.nomi.tools/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use HTTP Basic Authentication. Provide your email as login and PPT token as the password.

Headers

Accept
enum<string>
default:application/json
required
Available options:
application/json

Path Parameters

id
string
required

Response

200 - application/json

Movement details

movement
object
defaultCurrency
object